# Level 2 and Level 3 Data

Commercial cards are eligible for level 2 (Business, Corporate and Purchasing cards) and level 3 (Corporate and Purchasing cards only) rates, but may be charged at level 1 rates if you don’t provide all the required data. Consumer cards are only eligible for data level 1.

{% hint style="info" %}
For Level 3 support please contact your solution engineering point of contact.
{% endhint %}

{% hint style="warning" %}
Important: Along with Level 2 and Level 3 Data, cardholder ZIP code should always be submitted along with card data for full AVS and interchange qualification. \
\
See the [Secure Fields](/developer-docs/processing-payments/secure-fields.md) section on how to include cardholder ZIP code data.
{% endhint %}

## Level 2 Data Requirements

### Tax Amount

Tax Amount is required for both Visa and MasterCard transactions. For Visa, the tax amount must be between 0.1% - 22% of the payment total, and between 0.1% - 30% for MasterCard transactions. This value is sent via the `sales_tax` field as documented in the [auth](broken://spaces/-MWxnp1TJ8-sl5em4Hmw/pages/EVjuqx1B2nqjB5QVHbKI) and [`sale API`](broken://spaces/-MWxnp1TJ8-sl5em4Hmw/pages/-Mi5hGCz8uhvn25-tdT8).

### Order Number

Order Number is required for MasterCard payments only. This field cannot be blank for a Sale or capture request to meet MasterCard’s Level 2 qualifications and should be sent via the `order_number` field as documented in the [auth](broken://spaces/-MWxnp1TJ8-sl5em4Hmw/pages/EVjuqx1B2nqjB5QVHbKI) and [sale API](broken://spaces/-MWxnp1TJ8-sl5em4Hmw/pages/-Mi5hGCz8uhvn25-tdT8).

{% hint style="info" %}
Visa generally requires capture to happen within 24 hours of Auth. Some eligible large ticket payments can be captured up to 7 business days after authorization when using a corporate/purchasing cards.

MasterCard generally requires capture to happen within 48 hours of Auth.
{% endhint %}

{% hint style="info" %}
Visa also requires AVS for CNP transactions (except Corporate Card and Purchasing Card, which are always exempt from AVS)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payengine.co/developer-docs/processing-payments/level2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
